function s = truth_table(fbool)
  // berechnet für die boolesche Funktion fbool von n Veränderlichen die
  // Wahrheitstabelle und gibt sie aus als Zeichenkette für den 
  // Xcos-Block  LOGIC
  // Beispiel
  //   function y = f3(e1, e2, e3, e4); y = (e3 & e1) | (e4 & ~e2); endfunction;
  //   truth_table(f3)
  
  n = size(getfield(1,macrovar(fbool)),"*");
  B = (0:(2^n -1))';
  Ei = zeros(2^n, n);
  
  for i=1:n
    x = floor(B/2^(n-i));
    Ei(:,i) = x - fix(x/2)*2;
  end
  
  // Aufruf mit n Parametern generieren
  cmd = 'fbool(';
  for i=1:(n-1)
    cmd = [cmd sprintf('Ei(:,%d),', i)];
  end
  cmd = strcat([cmd sprintf('Ei(:,%d))', n)]);
  
  a = bool2s(eval(cmd));
  
  s = '[';
  s = [s msprintf('%1d;', a(1:(2^n-1)))];
  s = strcat([s msprintf('%1d]\n', a(2^n))]);
endfunction
